<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RAarGroup StructType
 * @subpackage Structs
 */
class RAarGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The relatedGroups
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RelatedGroups
     */
    public $relatedGroups;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RAarGroup
     * @uses RAarGroup::setName()
     * @uses RAarGroup::setRelatedGroups()
     * @uses RAarGroup::setUuid()
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RelatedGroups $relatedGroups
     * @param string $uuid
     */
    public function __construct($name = null, \\Losc\CucmBundle\Model\Webservice\StructType\RelatedGroups $relatedGroups = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setRelatedGroups($relatedGroups)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAarGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get relatedGroups value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RelatedGroups|null
     */
    public function getRelatedGroups()
    {
        return $this->relatedGroups;
    }
    /**
     * Set relatedGroups value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RelatedGroups $relatedGroups
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAarGroup
     */
    public function setRelatedGroups(\\Losc\CucmBundle\Model\Webservice\StructType\RelatedGroups $relatedGroups = null)
    {
        $this->relatedGroups = $relatedGroups;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAarGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
